## ignition-rendering3 3.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-rendering3 VERSION 3.6.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Set up the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

option(USE_UNOFFICIAL_OGRE_VERSIONS "Accept unsupported Ogre versions in the build" OFF)

#============================================================================
# Search for project-specific dependencies
#============================================================================

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common3 REQUIRED COMPONENTS graphics events)
set(IGN_COMMON_VER ${ignition-common3_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS all)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find FreeImage
ign_find_package(FreeImage VERSION 3.9
  REQUIRED_BY optix
  PRIVATE_FOR optix)

#--------------------------------------
# Find OpenGL
ign_find_package(OpenGL
  REQUIRED_BY ogre ogre2
  PKGCONFIG gl)

if (OpenGL_FOUND)
  set(HAVE_OPENGL TRUE)
endif()

#--------------------------------------
# Find OGRE
list(APPEND ign_ogre_components "RTShaderSystem" "Terrain" "Overlay")

ign_find_package(IgnOGRE VERSION 1.9.0
  COMPONENTS ${ign_ogre_components}
  REQUIRED_BY ogre
  PRIVATE_FOR ogre)

# Ogre versions greater than 1.9.x are not officialy supported.
# Display a warning for the users on this setup unless they provide
# USE_UNOFFICIAL_OGRE_VERSIONS flag
if (NOT USE_UNOFFICIAL_OGRE_VERSIONS)
  if (${OGRE_VERSION} VERSION_GREATER_EQUAL 1.10.0)
    IGN_BUILD_WARNING("Ogre 1.x versions greater than 1.9 are not officially supported."
                      "The software might compile and even work but support from upstream"
                      "could be reduced to accepting patches for newer versions")
  endif()
endif()

if (OGRE_FOUND)
  # find boost - mainly needed on macOS and also by the terrain component
  find_package(Boost)
  if (Boost_FOUND)
    include_directories(${Boost_INCLUDE_DIRS})
  endif()

  set(HAVE_OGRE TRUE)
endif()

#--------------------------------------
# Find OGRE2
ign_find_package(IgnOGRE2 VERSION 2.1.0
    COMPONENTS HlmsPbs HlmsUnlit Overlay
    REQUIRED_BY ogre2
    PRIVATE_FOR ogre2)

if (OGRE2_FOUND)
  set(HAVE_OGRE2 TRUE)
endif()

# Plugin install dirs
set(IGNITION_RENDERING_ENGINE_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
)

#--------------------------------------
# Find dependencies that we ignore for Visual Studio
if(NOT MSVC)
  #--------------------------------------
  # Find CUDA
  find_package(CUDA)

  #--------------------------------------
  # Find OptiX
  ign_find_package(OptiX VERSION 3.8.0
      REQUIRED_BY optix
      PRIVATE_FOR optix)

  if (OptiX_FOUND AND CUDA_FOUND)
    set(HAVE_OPTIX TRUE)
  endif()
endif()

#####################################
# Define compile-time default variables
if(MSVC)
  set(IGN_RENDERING_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR})
else()
  set(IGN_RENDERING_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
endif()

set(IGN_RENDERING_RESOURCE_PATH ${CMAKE_INSTALL_PREFIX}/${IGN_DATA_INSTALL_DIR})

#============================================================================
# Configure the build
#============================================================================
if (HAVE_OGRE)
  list(APPEND RENDERING_COMPONENTS ogre)
endif()

if (HAVE_OPTIX)
  list(APPEND RENDERING_COMPONENTS optix)
endif()

if (HAVE_OGRE2)
  list(APPEND RENDERING_COMPONENTS ogre2)
endif()

ign_configure_build(QUIT_IF_BUILD_ERRORS
    COMPONENTS ${RENDERING_COMPONENTS})

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
    "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
)

=== src/CMakeLists.txt ===
# set compile definitions for tests
set_property(
  SOURCE Camera_TEST.cc RenderTarget.cc
  PROPERTY COMPILE_DEFINITIONS
  HAVE_OPENGL="${HAVE_OPENGL}"
)

# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable.
ign_get_libsources_and_unittests(sources gtest_sources)

if (MSVC)
  # Warning #4251 is the "dll-interface" warning that tells you when types used
  # by a class are not being exported. These generated source files have private
  # members that don't get exported, so they trigger this warning. However, the
  # warning is not important since those members do not need to be interfaced
  # with.
  set_source_files_properties(${sources} ${gtest_sources} COMPILE_FLAGS "/wd4251")
endif()

add_subdirectory(base)

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 17)

# Include the interface directories that we always need.
#ign_target_interface_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
#  ignition-math${IGN_MATH_VER})

set_property(
  SOURCE RenderEngineManager.cc
  PROPERTY COMPILE_DEFINITIONS
  IGN_RENDERING_PLUGIN_PATH="${IGN_RENDERING_PLUGIN_PATH}"
)

target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
  ignition-common${IGN_COMMON_VER}::requested
  PRIVATE
  ignition-plugin${IGN_PLUGIN_VER}::loader
)
if (UNIX AND NOT APPLE)
  target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME} PRIVATE X11)
endif()

# Build the unit tests.
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources})

=== examples/actor_animation/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-actor-animation)
find_package(ignition-rendering3 REQUIRED)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

configure_file (example_config.hh.in ${PROJECT_BINARY_DIR}/example_config.hh)

add_executable(actor_animation Main.cc GlutWindow.cc)

target_link_libraries(actor_animation
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
)

add_custom_command(TARGET actor_animation POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_SOURCE_DIR}/media
  $<TARGET_FILE_DIR:actor_animation>/media)

=== examples/camera_tracking/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-camera-tracking)
find_package(ignition-rendering3 REQUIRED)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

add_executable(camera_tracking Main.cc GlutWindow.cc)

target_link_libraries(camera_tracking
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
)

=== examples/custom_scene_viewer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-custom-scene-viewer)
find_package(ignition-rendering3 REQUIRED)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)


find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wfatal-errors")

configure_file (example_config.hh.in ${PROJECT_BINARY_DIR}/example_config.hh)

add_executable(custom_scene_viewer
  DemoWindow.cc
  ManualSceneDemo.cc
  SceneBuilder.cc
)

target_link_libraries(custom_scene_viewer
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
)

add_custom_command(TARGET custom_scene_viewer POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_SOURCE_DIR}/media
  $<TARGET_FILE_DIR:custom_scene_viewer>/media)

=== examples/custom_shaders/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-custom-shaders)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)

find_package(ignition-rendering3 REQUIRED)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

configure_file (example_config.hh.in ${PROJECT_BINARY_DIR}/example_config.hh)

set_property(
  SOURCE custom_shaders.cc
  PROPERTY COMPILE_DEFINITIONS
)

add_executable(custom_shaders custom_shaders.cc)

target_link_libraries(custom_shaders
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
)

=== examples/gazebo_scene_viewer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-gazebo-scene-viewer)

set(CMAKE_CXX_STANDARD 14)

find_package(ignition-rendering3 REQUIRED)
find_package(gazebo REQUIRED)

include_directories(SYSTEM ${GAZEBO_INCLUDE_DIRS})
message("gazebo include ================== ${GAZEBO_INCLUDE_DIRS}")

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

add_executable(gazebo_scene_viewer
  CameraWindow.cc
  GazeboDemo.cc
  SceneManager.cc
)

target_link_libraries(gazebo_scene_viewer
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${GAZEBO_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
  stdc++fs
)

add_executable(gazebo_scene_viewer2_demo
  CameraWindow.cc
  GazeboWorldDemo.cc
  SceneManager.cc
)

target_link_libraries(gazebo_scene_viewer2_demo
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${GAZEBO_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
  stdc++fs
)

=== examples/hello_world_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

set(IGN_PLUGIN_VER 1)
set(IGN_COMMON_VER 3)

find_package(ignition-rendering3 REQUIRED)
find_package(ignition-plugin1 REQUIRED COMPONENTS all)

add_library(HelloWorldPlugin SHARED HelloWorldPlugin.cc)
target_link_libraries(HelloWorldPlugin
  PUBLIC
    ${IGNITION-RENDERING_LIBRARIES}
    ${ignition-common${IGN_COMMON_VER}_LIBRARIES}
  PRIVATE
    ignition-plugin${IGN_PLUGIN_VER}::register
)

=== examples/mesh_viewer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-mesh-viewer)
find_package(ignition-rendering3 REQUIRED)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

configure_file (example_config.hh.in ${PROJECT_BINARY_DIR}/example_config.hh)

add_executable(mesh_viewer Main.cc GlutWindow.cc)

target_link_libraries(mesh_viewer
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
)

add_custom_command(TARGET mesh_viewer POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_SOURCE_DIR}/media
  $<TARGET_FILE_DIR:mesh_viewer>/media)

=== examples/mouse_picking/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-mouse-picking)
find_package(ignition-rendering3 REQUIRED)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

add_executable(mouse_picking Main.cc GlutWindow.cc)

target_link_libraries(mouse_picking
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
  )

=== examples/ogre2_demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(ignition-rendering-ogre2-demo)

find_package(ignition-rendering3)

include_directories(SYSTEM
  ${PROJECT_BINARY_DIR}
)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

configure_file (example_config.hh.in ${PROJECT_BINARY_DIR}/example_config.hh)

get_cmake_property(_variableNames VARIABLES)
list (SORT _variableNames)
foreach (_variableName ${_variableNames})
  message(STATUS "${_variableName}=${${_variableName}}")
endforeach()
add_executable(ogre2_demo Main.cc GlutWindow.cc)

target_link_libraries(ogre2_demo
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
  )

add_custom_command(TARGET ogre2_demo POST_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_SOURCE_DIR}/media
  $<TARGET_FILE_DIR:ogre2_demo>/media)

=== examples/render_pass/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-render-pass)

find_package(ignition-rendering3)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

add_executable(render_pass Main.cc GlutWindow.cc)

target_link_libraries(render_pass
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
  )

=== debian/changelog ===
ignition-rendering3 (3.6.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.6.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 19 Oct 2021 20:15:54 +0200

ignition-rendering3 (3.5.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.5.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 25 May 2021 11:55:18 -0500

ignition-rendering3 (3.4.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.4.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 10 Feb 2021 07:53:13 -0800

ignition-rendering3 (3.3.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 22 Jan 2021 10:12:26 -0800

ignition-rendering3 (3.2.0-3~buster) buster; urgency=medium

  * ignition-rendering3 3.2.0-3 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 12:46:02 -0800

ignition-rendering3 (3.2.0-2~buster) buster; urgency=medium

  * ignition-rendering3 3.2.0-2 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 08:23:40 -0800

ignition-rendering3 (3.2.0-1~buster) buster; urgency=medium

  * ignition-rendering3 3.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 13 Oct 2020 14:23:40 -0800

ignition-rendering3 (3.1.0-2~buster) buster; urgency=medium

  * Fix postfix to real Buster instead of Focal

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 15 May 2020 20:20:08 +0200

ignition-rendering3 (3.1.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 05 Mar 2020 17:45:43 -0800

=== debian/control ===
Source: ignition-rendering3
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               freeglut3-dev,
               libglew-dev,
               libfreeimage-dev,
               libignition-cmake2-dev,
               libignition-common3-events-dev,
               libignition-common3-graphics-dev,
               libignition-math6-dev,
               libignition-plugin-dev,
               libogre-1.9-dev,
               libogre-2.1-dev
Vcs-Browser: https://bitbucket.org/ignitionrobotics/ign-rendering3-release
Vcs-Hg: https://bitbucket.org/ignitionrobotics/ign-rendering3-release
Homepage: http://ignitionrobotics.org/

Package: libignition-rendering3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Shared library. Ignition rendering3 is a component in the ignition framework, a set of libraries designed to rapidly develop robot applications. Main shared library

# Only for the examples:
# 
#        libfreeimage-dev,
#        freeglut3-dev,
#        libglew-dev,

Package: libignition-rendering3-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libignition-rendering3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions - Core development files. Ignition rendering3 is a component in the ignition framework, a set of libraries designed to rapidly develop robot applications. Core development files

Package: libignition-rendering3-ogre1-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libogre-1.9-dev,
         libignition-rendering3-core-dev,
         libignition-rendering3-ogre1 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Development files. Ignition rendering3 is a component in the ignition framework, a set of libraries designed to rapidly develop robot applications. Ogre1 component development files.

Package: libignition-rendering3-ogre1
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Development files. Ignition rendering3 is a component in the ignition framework, a set of libraries designed to rapidly develop robot applications. Ogre1 component shared library.

Package: libignition-rendering3-ogre2-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libogre-2.1-dev,
         libignition-rendering3-core-dev,
         libignition-rendering3-ogre2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Development files. Ignition rendering3 is a component in the ignition framework, a set of libraries designed to rapidly develop robot applications. Ogre2 component development files.

Package: libignition-rendering3-ogre2
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Development files. Ignition rendering3 is a component in the ignition framework, a set of libraries designed to rapidly develop robot applications. Ogre2 component shared library.

Package: libignition-rendering3-dev
Architecture: any
Section: libdevel
Depends: libignition-rendering3-core-dev,
         libignition-rendering3-ogre1-dev,
         libignition-rendering3-ogre2-dev,
         libignition-rendering3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition rendering3 classes and functions for robot apps - Metapackage. Ignition rendering3 is a component in the ignition framework, a set of libraries designed to rapidly develop robot applications. Metapackage for development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre.hh
	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre2.hh

# test cannot run in parallel
override_dh_auto_test:
	true
	#dh_auto_test --max-parallel=1

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/OGRE-2.1

## ignition-rendering3 3.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,21 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-rendering3 VERSION 3.6.0)
+project(ignition-rendering3 VERSION 3.7.2)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.14.0 REQUIRED)
 
 #============================================================================
 # Set up the project
 #============================================================================
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/rendering
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options
@@ -49,6 +52,11 @@
 
 #--------------------------------------
 # Find OpenGL
+# See CMP0072 for more details (cmake --help-policy CMP0072)
+if ((NOT ${CMAKE_VERSION} VERSION_LESS 3.11) AND (NOT OpenGL_GL_PREFERENCE))
+  set(OpenGL_GL_PREFERENCE "GLVND")
+endif()
+
 ign_find_package(OpenGL
   REQUIRED_BY ogre ogre2
   PKGCONFIG gl)
@@ -69,7 +77,7 @@
 # Ogre versions greater than 1.9.x are not officialy supported.
 # Display a warning for the users on this setup unless they provide
 # USE_UNOFFICIAL_OGRE_VERSIONS flag
-if (NOT USE_UNOFFICIAL_OGRE_VERSIONS)
+if (OGRE_FOUND AND NOT USE_UNOFFICIAL_OGRE_VERSIONS)
   if (${OGRE_VERSION} VERSION_GREATER_EQUAL 1.10.0)
     IGN_BUILD_WARNING("Ogre 1.x versions greater than 1.9 are not officially supported."
                       "The software might compile and even work but support from upstream"

=== examples/text_geom/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
project(ignition-rendering-text-geom)

find_package(ignition-rendering3)
find_package(ignition-common3)

find_package(GLUT REQUIRED)
include_directories(SYSTEM ${GLUT_INCLUDE_DIRS})
link_directories(${GLUT_LIBRARY_DIRS})

find_package(OpenGL REQUIRED)
include_directories(SYSTEM ${OpenGL_INCLUDE_DIRS})
link_directories(${OpenGL_LIBRARY_DIRS})

if (NOT APPLE)
  find_package(GLEW REQUIRED)
  include_directories(SYSTEM ${GLEW_INCLUDE_DIRS})
  link_directories(${GLEW_LIBRARY_DIRS})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

add_executable(text_geom Main.cc GlutWindow.cc)

target_link_libraries(text_geom
  ${GLUT_LIBRARIES}
  ${OPENGL_LIBRARIES}
  ${GLEW_LIBRARIES}
  ${IGNITION-RENDERING_LIBRARIES}
  ${IGNITION-COMMON_LIBRARIES}
  )

=== debian/changelog ===
ignition-rendering3 (3.7.2-1~focal) focal; urgency=medium

  * ignition-rendering3 3.7.2-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 05 Jan 2024 15:01:03 -0800

ignition-rendering3 (3.7.1-1~focal) focal; urgency=medium

  * ignition-rendering3 3.7.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 03 Feb 2023 05:26:20 -0800

ignition-rendering3 (3.7.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.7.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 29 Nov 2022 11:32:21 -0800

ignition-rendering3 (3.7.0~pre1-1~focal) focal; urgency=medium

  * ignition-rendering3 3.7.0~pre1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 29 Nov 2022 09:33:43 -0800

ignition-rendering3 (3.6.1-1~focal) focal; urgency=medium

  * ignition-rendering3 3.6.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Tue, 08 Nov 2022 13:52:23 -0800

ignition-rendering3 (3.6.0-5~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-5 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 13:51:31 -0700

ignition-rendering3 (3.6.0-4~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-4 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 19:31:38 -0700

ignition-rendering3 (3.6.0-3~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 19:09:22 -0700

ignition-rendering3 (3.6.0-2~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 18:29:06 -0700

ignition-rendering3 (3.6.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.6.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 19 Oct 2021 20:15:54 +0200

ignition-rendering3 (3.5.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.5.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Tue, 25 May 2021 11:55:18 -0500

ignition-rendering3 (3.4.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.4.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 10 Feb 2021 07:53:13 -0800

ignition-rendering3 (3.3.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.3.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 22 Jan 2021 10:12:26 -0800

ignition-rendering3 (3.2.0-3~focal) focal; urgency=medium

  * ignition-rendering3 3.2.0-3 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 12:46:02 -0800

ignition-rendering3 (3.2.0-2~focal) focal; urgency=medium

  * ignition-rendering3 3.2.0-2 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 14 Oct 2020 08:23:40 -0800

ignition-rendering3 (3.2.0-1~focal) focal; urgency=medium

  * ignition-rendering3 3.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 13 Oct 2020 14:23:40 -0800

=== debian/control ===
Source: ignition-rendering3
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               freeglut3-dev,
               libglew-dev,
               libfreeimage-dev,
               libignition-cmake2-dev,
               libignition-common3-events-dev,
               libignition-common3-graphics-dev,
               libignition-math6-dev,
               libignition-plugin-dev,
               libogre-1.9-dev,
               libogre-2.1-dev
Vcs-Browser: https://github.com/gazebosim/gz-rendering
Vcs-Git: https://github.com/gazebosim/gz-rendering
Homepage: http://gazebosim.org/

Package: libignition-rendering3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Shared library
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Main shared library

# Only for the examples:
#
#        libfreeimage-dev,
#        freeglut3-dev,
#        libglew-dev,

Package: libignition-rendering3-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libignition-rendering3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions - Core development files
 Gazebo rendering is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-rendering3-ogre1-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libogre-1.9-dev,
         libignition-rendering3-core-dev (= ${binary:Version}),
         libignition-rendering3-ogre1 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Ogre1 dev files
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Ogre1 component development files

Package: libignition-rendering3-ogre1
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Ogre1 lib
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 .
 Ogre1 component shared library

Package: libignition-rendering3-ogre2-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common3-events-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libogre-2.1-dev,
         libignition-rendering3-core-dev (= ${binary:Version}),
         libignition-rendering3-ogre2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Development files
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 Gazebo Rendering is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Ogre2 component development files

Package: libignition-rendering3-ogre2
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Development files
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 Gazebo Rendering is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Ogre2 component shared library

Package: libignition-rendering3-dev
Architecture: any
Section: libdevel
Depends: libignition-rendering3-core-dev (= ${binary:Version}),
         libignition-rendering3-ogre1-dev (= ${binary:Version}),
         libignition-rendering3-ogre2-dev (= ${binary:Version}),
         libignition-rendering3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Rendering classes and functions for robot apps - Metapackage
 Gazebo Rendering is a C++ library designed to provide an abstraction for
 different rendering engines. It offers unified APIs for creating 3D graphics
 applications.  Gazebo Rendering is a component in the Gazebo framework, a
 set of libraries designed to rapidly develop robot applications.
 Gazebo Rendering is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Metapackage for development files

Package: libgz-rendering3
Depends: libignition-rendering3, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-core-dev
Depends: libignition-rendering3-core-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-ogre1-dev
Depends: libignition-rendering3-ogre1-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-ogre1
Depends: libignition-rendering3-ogre1, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-ogre2-dev
Depends: libignition-rendering3-ogre2-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-ogre2
Depends: libignition-rendering3-ogre2, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-rendering3-dev
Depends: libignition-rendering3-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,16 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	    -DSKIP_optix=true \
 	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 override_dh_install:
 	dh_install --
 	# need to remove files present in components
 	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre.hh
+	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/gz/rendering/ogre.hh
 	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/ignition/rendering/ogre2.hh
+	$(RM) debian/libignition-rendering*-core-dev/usr/include/ignition/rendering*/gz/rendering/ogre2.hh
 
 # test cannot run in parallel
 override_dh_auto_test:
